Available configuration options for /etc/glasnost/config
========================================================

General options
---------------

(under [Misc])

# Show debugging information when an error occurs. (boolean, default: false)
Debug = false

# Show special information for debugging TAL
DebugTAL = false

# Save profiling informations
Profiling = false

# How many minutes should the cache held files? (default: 15)
CacheTime = 15 

# Expiration time for user session (default: 120)
ExpirationTime = 120

# Use buffered requests (boolean, default: false) (experimental)
UseBufferedRequests = false

# Disable spellchecking (used in preview for textarea)
DisableSpellchecking = false

# Define the directory to look for .py files when not found in DocumentRoot
# (WARNING: no trailing slash)
WebDirectoryPath = 

# Cache files? (boolean, default: false)
CacheFiles = false

Per dispatcher options
----------------------

It is possible to customize several options on a per dispatcher basis,
for example:

[glasnost://a.potential.dispatcher.id]
AdminEmailAddress = fred@localhost
DataDirectoryPath = /var/vhosts/go-there/glasnost-data/
ScriptDirectoryPath = /var/vhosts/go-there/glasnost-scripts/
TalExtensionsDirectoryPath = /var/vhosts/go-there/glasnost-extensions/
TemplateDirectoryPath = %(vardir)s/templates


Per virtual host options
------------------------

It is possible to set some general options to apply only when processing
some host:

[www.example.com]
Debug = true
UseHTTPS = false

The available options are:

CacheFiles:
    Define if Glasnost should cache page results in some circumstances (user
    not logged, no active session...)  (default: false)
    
CacheTime:
    Define (in minutes) how long cached files should stay in cache.
    (default: 15)

Debug:
    Show debugging information when an error occurs. (default: false)

DeleteSessionOnLogout:
    (default: false)
    
DisableSpellchecking:
    Disable spellchecking (used in <textarea> previews). (default: false)

HelpMode::
    Define how online help links should be rendered; possible values are:
    local (suppose help is available on the same site), internet (create
    links to http://glasnost.entrouvert.org) and none (no links are created).
    Default is "internet".
    
Profiling:
    Dumps profiling informations into /tmp/
    (default: false)

ShowFullListInSelectIdForServerRoles:
    Define the server roles for which the whole list should appear in SelectId
    <select> widgets (instead of the last visited objects).
    
UseBufferedRequests:
    Buffer requests so the whole response is sent to the web browser when it is
    ready  (opposed to serving content as soon as it is available).
    (default: false)

UseHTTPS:
    Define if the site should switch to HTTPS when user logs in.
    (default: false)

WebDirectoryPath:
    Define an additional path where to look for .py files after site
    DocumentRoot and before Glasnost-wide WebDirectoryPath.


Per server options
------------------

ServerHostName
ServerPort


Gateway specific option
-----------------------

PublicPort:
    Public port of the gateway (eg 8000), which is redirected by the firewall
    to the real ServerPort of the gateway (eg 8001).


